Index: LMDZ6/branches/Amaury_dev/libf/phylmd/conlmd.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/conlmd.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/conlmd.F90	(revision 5143)
@@ -1188,11 +1185,11 @@
 
   DO i = 1, klon
-    zgz(i, 1) = rd*t(i, 1)/(0.5*(paprs(i,1)+pplay(i, &
-      1)))*(paprs(i,1)-pplay(i,1))
+    zgz(i, 1) = rd * t(i, 1) / (0.5 * (paprs(i, 1) + pplay(i, &
+            1))) * (paprs(i, 1) - pplay(i, 1))
   END DO
   DO k = 2, klev
     DO i = 1, klon
-      zgz(i, k) = zgz(i, k-1) + rd*0.5*(t(i,k-1)+t(i,k))/paprs(i, k)*(pplay(i &
-        ,k-1)-pplay(i,k))
+      zgz(i, k) = zgz(i, k - 1) + rd * 0.5 * (t(i, k - 1) + t(i, k)) / paprs(i, k) * (pplay(i &
+              , k - 1) - pplay(i, k))
     END DO
   END DO
@@ -1202,5 +1199,5 @@
   DO k = 1, klev
     DO i = 1, klon
-      ztotal(i, k) = rcpd*t(i, k) + rlvtt*zqs(i, k) + zgz(i, k)
+      ztotal(i, k) = rcpd * t(i, k) + rlvtt * zqs(i, k) + zgz(i, k)
     END DO
   END DO
@@ -1222,22 +1219,22 @@
         k = kb(i)
         IF (new_deh) THEN
-          zdeh(i, k) = ztotal(i, k-1) - ztotal(i, k)
+          zdeh(i, k) = ztotal(i, k - 1) - ztotal(i, k)
         ELSE
-          zdeh(i, k) = rcpd*(t(i,k-1)-t(i,k)) - rd*0.5*(t(i,k-1)+t(i,k))/ &
-            paprs(i, k)*(pplay(i,k-1)-pplay(i,k)) + &
-            rlvtt*(zqs(i,k-1)-zqs(i,k))
-        END IF
-        zdeh(i, k) = zdeh(i, k)*0.5
+          zdeh(i, k) = rcpd * (t(i, k - 1) - t(i, k)) - rd * 0.5 * (t(i, k - 1) + t(i, k)) / &
+                  paprs(i, k) * (pplay(i, k - 1) - pplay(i, k)) + &
+                  rlvtt * (zqs(i, k - 1) - zqs(i, k))
+        END IF
+        zdeh(i, k) = zdeh(i, k) * 0.5
       END IF
     END DO
     DO k = 1, klev
       DO i = 1, klon
-        IF (ldcum(i) .AND. k>=(kb(i)+1)) THEN
+        IF (ldcum(i) .AND. k>=(kb(i) + 1)) THEN
           IF (new_deh) THEN
-            zdeh(i, k) = zdeh(i, k-1) + (ztotal(i,k-1)-ztotal(i,k))
+            zdeh(i, k) = zdeh(i, k - 1) + (ztotal(i, k - 1) - ztotal(i, k))
           ELSE
-            zdeh(i, k) = zdeh(i, k-1) + rcpd*(t(i,k-1)-t(i,k)) - &
-              rd*0.5*(t(i,k-1)+t(i,k))/paprs(i, k)* &
-              (pplay(i,k-1)-pplay(i,k)) + rlvtt*(zqs(i,k-1)-zqs(i,k))
+            zdeh(i, k) = zdeh(i, k - 1) + rcpd * (t(i, k - 1) - t(i, k)) - &
+                    rd * 0.5 * (t(i, k - 1) + t(i, k)) / paprs(i, k) * &
+                            (pplay(i, k - 1) - pplay(i, k)) + rlvtt * (zqs(i, k - 1) - zqs(i, k))
           END IF
         END IF
@@ -1250,19 +1247,19 @@
       ldcum(i) = .TRUE.
       IF (new_deh) THEN
-        zdeh(i, k) = ztotal(i, k-1) - ztotal(i, k)
+        zdeh(i, k) = ztotal(i, k - 1) - ztotal(i, k)
       ELSE
-        zdeh(i, k) = rcpd*(t(i,k-1)-t(i,k)) - rd*0.5*(t(i,k-1)+t(i,k))/paprs( &
-          i, k)*(pplay(i,k-1)-pplay(i,k)) + rlvtt*(zqs(i,k-1)-zqs(i,k))
-      END IF
-      zdeh(i, k) = zdeh(i, k)*0.5
+        zdeh(i, k) = rcpd * (t(i, k - 1) - t(i, k)) - rd * 0.5 * (t(i, k - 1) + t(i, k)) / paprs(&
+                i, k) * (pplay(i, k - 1) - pplay(i, k)) + rlvtt * (zqs(i, k - 1) - zqs(i, k))
+      END IF
+      zdeh(i, k) = zdeh(i, k) * 0.5
     END DO
     DO k = ldepar + 1, klev
       DO i = 1, klon
         IF (new_deh) THEN
-          zdeh(i, k) = zdeh(i, k-1) + (ztotal(i,k-1)-ztotal(i,k))
+          zdeh(i, k) = zdeh(i, k - 1) + (ztotal(i, k - 1) - ztotal(i, k))
         ELSE
-          zdeh(i, k) = zdeh(i, k-1) + rcpd*(t(i,k-1)-t(i,k)) - &
-            rd*0.5*(t(i,k-1)+t(i,k))/paprs(i, k)*(pplay(i,k-1)-pplay(i,k)) + &
-            rlvtt*(zqs(i,k-1)-zqs(i,k))
+          zdeh(i, k) = zdeh(i, k - 1) + rcpd * (t(i, k - 1) - t(i, k)) - &
+                  rd * 0.5 * (t(i, k - 1) + t(i, k)) / paprs(i, k) * (pplay(i, k - 1) - pplay(i, k)) + &
+                  rlvtt * (zqs(i, k - 1) - zqs(i, k))
         END IF
       END DO
@@ -1288,7 +1285,7 @@
         IF (nuage(i)) THEN
           kh(i) = k
-          zconv(i) = zconv(i) + conv_q(i, k)*dtime*(paprs(i,k)-paprs(i,k+1))
-          zvirt(i) = zvirt(i) + (zdeh(i,k)/rlvtt+zqs(i,k)-q(i,k))*(paprs(i,k) &
-            -paprs(i,k+1))
+          zconv(i) = zconv(i) + conv_q(i, k) * dtime * (paprs(i, k) - paprs(i, k + 1))
+          zvirt(i) = zvirt(i) + (zdeh(i, k) / rlvtt + zqs(i, k) - q(i, k)) * (paprs(i, k) &
+                  - paprs(i, k + 1))
         END IF
       END IF
@@ -1315,5 +1312,5 @@
   DO i = 1, klon
     IF (todo(i)) THEN
-      zfrac(i) = max(0.0, min(zconv(i)/zvirt(i),1.0))
+      zfrac(i) = max(0.0, min(zconv(i) / zvirt(i), 1.0))
     END IF
   END DO
@@ -1329,9 +1326,9 @@
     DO i = 1, klon
       IF (todo(i) .AND. k>=kb(i) .AND. k<=kh(i)) THEN
-        zvar = zdeh(i, k)/(1.+zdqs(i,k))
-        d_t(i, k) = zvar*zfrac(i)/rcpd
-        d_q(i, k) = (zvar*zdqs(i,k)/rlvtt+zqs(i,k)-q(i,k))*zfrac(i) - &
-          conv_q(i, k)*dtime
-        zcond(i) = zcond(i) - d_q(i, k)*(paprs(i,k)-paprs(i,k+1))/rg
+        zvar = zdeh(i, k) / (1. + zdqs(i, k))
+        d_t(i, k) = zvar * zfrac(i) / rcpd
+        d_q(i, k) = (zvar * zdqs(i, k) / rlvtt + zqs(i, k) - q(i, k)) * zfrac(i) - &
+                conv_q(i, k) * dtime
+        zcond(i) = zcond(i) - d_q(i, k) * (paprs(i, k) - paprs(i, k + 1)) / rg
         rneb(i, k) = zfrac(i)
       END IF
@@ -1362,8 +1359,8 @@
   DO i = 1, klon
     IF (todo(i)) THEN
-      toliq(i) = tomax - ((paprs(i,kb(i))-paprs(i,kh(i)+1))/paprs(i,1)-dpmin) &
-        *(tomax-tomin)/(dpmax-dpmin)
-      toliq(i) = max(tomin, min(tomax,toliq(i)))
-      IF (pplay(i,kh(i))/paprs(i,1)<=deep_sig) toliq(i) = deep_to
+      toliq(i) = tomax - ((paprs(i, kb(i)) - paprs(i, kh(i) + 1)) / paprs(i, 1) - dpmin) &
+              * (tomax - tomin) / (dpmax - dpmin)
+      toliq(i) = max(tomin, min(tomax, toliq(i)))
+      IF (pplay(i, kh(i)) / paprs(i, 1)<=deep_sig) toliq(i) = deep_to
       IF (old_tau) toliq(i) = 1.0
     END IF
@@ -1388,5 +1385,5 @@
 
     DO i = 1, klon
-      IF (todo(i)) zrfl(i) = zcond(i)/dtime
+      IF (todo(i)) zrfl(i) = zcond(i) / dtime
     END DO
 
@@ -1399,6 +1396,6 @@
       DO i = 1, klon
         IF (todo(i) .AND. k>=kb(i) .AND. k<=kh(i)) THEN
-          zvapo(i) = zvapo(i) + (q(i,k)+d_q(i,k))*(paprs(i,k)-paprs(i,k+1))/ &
-            rg
+          zvapo(i) = zvapo(i) + (q(i, k) + d_q(i, k)) * (paprs(i, k) - paprs(i, k + 1)) / &
+                  rg
         END IF
       END DO
@@ -1406,6 +1403,6 @@
     DO i = 1, klon
       IF (todo(i)) THEN
-        zrapp(i) = toliq(i)*zcond(i)/zvapo(i)
-        zrapp(i) = max(0., min(1.,zrapp(i)))
+        zrapp(i) = toliq(i) * zcond(i) / zvapo(i)
+        zrapp(i) = max(0., min(1., zrapp(i)))
       END IF
     END DO
@@ -1413,5 +1410,5 @@
       DO i = 1, klon
         IF (todo(i) .AND. k>=kb(i) .AND. k<=kh(i)) THEN
-          d_ql(i, k) = zrapp(i)*(q(i,k)+d_q(i,k))
+          d_ql(i, k) = zrapp(i) * (q(i, k) + d_q(i, k))
         END IF
       END DO
@@ -1419,5 +1416,5 @@
     DO i = 1, klon
       IF (todo(i)) THEN
-        zrfl(i) = (1.0-toliq(i))*zcond(i)/dtime
+        zrfl(i) = (1.0 - toliq(i)) * zcond(i) / dtime
       END IF
     END DO
@@ -1431,5 +1428,5 @@
       DO i = 1, klon
         IF (todo(i) .AND. k>=kb(i) .AND. k<=kh(i)) THEN
-          zvapo(i) = zvapo(i) + (paprs(i,k)-paprs(i,k+1))/rg
+          zvapo(i) = zvapo(i) + (paprs(i, k) - paprs(i, k + 1)) / rg
         END IF
       END DO
@@ -1438,5 +1435,5 @@
       DO i = 1, klon
         IF (todo(i) .AND. k>=kb(i) .AND. k<=kh(i)) THEN
-          d_ql(i, k) = toliq(i)*zcond(i)/zvapo(i)
+          d_ql(i, k) = toliq(i) * zcond(i) / zvapo(i)
         END IF
       END DO
@@ -1444,5 +1441,5 @@
     DO i = 1, klon
       IF (todo(i)) THEN
-        zrfl(i) = (1.0-toliq(i))*zcond(i)/dtime
+        zrfl(i) = (1.0 - toliq(i)) * zcond(i) / dtime
       END IF
     END DO
@@ -1458,6 +1455,6 @@
       DO i = 1, klon
         IF (todo(i) .AND. k>=kb(i) .AND. k<=kh(i)) THEN
-          zvapo(i) = zvapo(i) + max(0.0, -d_q(i,k))*(paprs(i,k)-paprs(i,k+1)) &
-            /rg
+          zvapo(i) = zvapo(i) + max(0.0, -d_q(i, k)) * (paprs(i, k) - paprs(i, k + 1)) &
+                  / rg
         END IF
       END DO
@@ -1466,6 +1463,6 @@
       DO i = 1, klon
         IF (todo(i) .AND. k>=kb(i) .AND. k<=kh(i) .AND. zvapo(i)>0.0) THEN
-          d_ql(i, k) = d_ql(i, k) + toliq(i)*zcond(i)/zvapo(i)*max(0.0, -d_q( &
-            i,k))
+          d_ql(i, k) = d_ql(i, k) + toliq(i) * zcond(i) / zvapo(i) * max(0.0, -d_q(&
+                  i, k))
         END IF
       END DO
@@ -1473,5 +1470,5 @@
     DO i = 1, klon
       IF (todo(i)) THEN
-        zrfl(i) = (1.0-toliq(i))*zcond(i)/dtime
+        zrfl(i) = (1.0 - toliq(i)) * zcond(i) / dtime
       END IF
     END DO
@@ -1489,7 +1486,7 @@
     DO k = kbmin, khmax
       DO i = 1, klon
-        IF (todo(i) .AND. k>=(kb(i)+1) .AND. k<=kh(i)) THEN
-          zvapo(i) = zvapo(i) + (paprs(i,k)-paprs(i,k+1))/rg*(pplay(i,kb(i))- &
-            pplay(i,k))**nexpo
+        IF (todo(i) .AND. k>=(kb(i) + 1) .AND. k<=kh(i)) THEN
+          zvapo(i) = zvapo(i) + (paprs(i, k) - paprs(i, k + 1)) / rg * (pplay(i, kb(i)) - &
+                  pplay(i, k))**nexpo
         END IF
       END DO
@@ -1497,7 +1494,7 @@
     DO k = kbmin, khmax
       DO i = 1, klon
-        IF (todo(i) .AND. k>=(kb(i)+1) .AND. k<=kh(i)) THEN
-          d_ql(i, k) = d_ql(i, k) + toliq(i)*zcond(i)/zvapo(i)*(pplay(i,kb(i) &
-            )-pplay(i,k))**nexpo
+        IF (todo(i) .AND. k>=(kb(i) + 1) .AND. k<=kh(i)) THEN
+          d_ql(i, k) = d_ql(i, k) + toliq(i) * zcond(i) / zvapo(i) * (pplay(i, kb(i) &
+                  ) - pplay(i, k))**nexpo
         END IF
       END DO
@@ -1505,5 +1502,5 @@
     DO i = 1, klon
       IF (todo(i)) THEN
-        zrfl(i) = (1.0-toliq(i))*zcond(i)/dtime
+        zrfl(i) = (1.0 - toliq(i)) * zcond(i) / dtime
       END IF
     END DO
@@ -1521,15 +1518,15 @@
     DO k = kbmax, 1, -1
       DO i = 1, klon
-        IF (todo(i) .AND. k<=(kb(i)-1) .AND. zrfl(i)>0.0) THEN
-          zqev = max(0.0, (zqs(i,k)-q(i,k))*zfrac(i))
-          zqevt = coef_eva*(1.0-q(i,k)/zqs(i,k))*sqrt(zrfl(i))* &
-            (paprs(i,k)-paprs(i,k+1))/pplay(i, k)*t(i, k)*rd/rg
-          zqevt = max(0.0, min(zqevt,zrfl(i)))*rg*dtime/ &
-            (paprs(i,k)-paprs(i,k+1))
+        IF (todo(i) .AND. k<=(kb(i) - 1) .AND. zrfl(i)>0.0) THEN
+          zqev = max(0.0, (zqs(i, k) - q(i, k)) * zfrac(i))
+          zqevt = coef_eva * (1.0 - q(i, k) / zqs(i, k)) * sqrt(zrfl(i)) * &
+                  (paprs(i, k) - paprs(i, k + 1)) / pplay(i, k) * t(i, k) * rd / rg
+          zqevt = max(0.0, min(zqevt, zrfl(i))) * rg * dtime / &
+                  (paprs(i, k) - paprs(i, k + 1))
           zqev = min(zqev, zqevt)
-          zrfln = zrfl(i) - zqev*(paprs(i,k)-paprs(i,k+1))/rg/dtime
-          d_q(i, k) = -(zrfln-zrfl(i))*(rg/(paprs(i,k)-paprs(i,k+1)))*dtime
-          d_t(i, k) = (zrfln-zrfl(i))*(rg/(paprs(i,k)-paprs(i, &
-            k+1)))*dtime*rlvtt/rcpd
+          zrfln = zrfl(i) - zqev * (paprs(i, k) - paprs(i, k + 1)) / rg / dtime
+          d_q(i, k) = -(zrfln - zrfl(i)) * (rg / (paprs(i, k) - paprs(i, k + 1))) * dtime
+          d_t(i, k) = (zrfln - zrfl(i)) * (rg / (paprs(i, k) - paprs(i, &
+                  k + 1))) * dtime * rlvtt / rcpd
           zrfl(i) = zrfln
         END IF
@@ -1542,5 +1539,5 @@
   DO i = 1, klon
     IF (todo(i)) THEN
-      IF (t(i,1)>rtt) THEN
+      IF (t(i, 1)>rtt) THEN
         rain(i) = rain(i) + zrfl(i)
       ELSE
@@ -1550,8 +1547,9 @@
   END DO
 
-
 END SUBROUTINE conkuo
 SUBROUTINE kuofcl(pt, pq, pg, pp, ldcum, kcbot)
   USE dimphy
+  USE lmdz_YOETHF
+
   IMPLICIT NONE
   ! ======================================================================
@@ -1571,5 +1569,4 @@
   ! ======================================================================
   include "YOMCST.h"
-  include "YOETHF.h"
 
   REAL pt(klon, klev), pq(klon, klev), pg(klon, klev), pp(klon, klev)
@@ -1609,7 +1606,7 @@
     is = 0
     DO i = 1, klon
-      IF (klab(i,k-1)==1) is = is + 1
+      IF (klab(i, k - 1)==1) is = is + 1
       lflag(i) = .FALSE.
-      IF (klab(i,k-1)==1) lflag(i) = .TRUE.
+      IF (klab(i, k - 1)==1) lflag(i) = .TRUE.
     END DO
     IF (is==0) GO TO 290
@@ -1619,8 +1616,8 @@
     DO i = 1, klon
       IF (lflag(i)) THEN
-        zqu(i, k) = zqu(i, k-1)
-        ztu(i, k) = ztu(i, k-1) + (pg(i,k-1)-pg(i,k))/rcpd
-        zbuo = ztu(i, k)*(1.+retv*zqu(i,k)) - pt(i, k)*(1.+retv*pq(i,k)) + &
-          0.5
+        zqu(i, k) = zqu(i, k - 1)
+        ztu(i, k) = ztu(i, k - 1) + (pg(i, k - 1) - pg(i, k)) / rcpd
+        zbuo = ztu(i, k) * (1. + retv * zqu(i, k)) - pt(i, k) * (1. + retv * pq(i, k)) + &
+                0.5
         IF (zbuo>0.) klab(i, k) = 1
         zqold(i) = zqu(i, k)
@@ -1630,5 +1627,5 @@
     ! on calcule la condensation eventuelle
 
-    CALL adjtq(pp(1,k), ztu(1,k), zqu(1,k), lflag, 1)
+    CALL adjtq(pp(1, k), ztu(1, k), zqu(1, k), lflag, 1)
 
     ! s'il y a la condensation et la "buoyancy" force est positive
@@ -1636,9 +1633,9 @@
 
     DO i = 1, klon
-      IF (lflag(i) .AND. zqu(i,k)/=zqold(i)) THEN
+      IF (lflag(i) .AND. zqu(i, k)/=zqold(i)) THEN
         klab(i, k) = 2
         zlu(i, k) = zlu(i, k) + zqold(i) - zqu(i, k)
-        zbuo = ztu(i, k)*(1.+retv*zqu(i,k)) - pt(i, k)*(1.+retv*pq(i,k)) + &
-          0.5
+        zbuo = ztu(i, k) * (1. + retv * zqu(i, k)) - pt(i, k) * (1. + retv * pq(i, k)) + &
+                0.5
         IF (zbuo>0.) THEN
           kcbot(i) = k
@@ -1648,10 +1645,12 @@
     END DO
 
-290 END DO
-
+  290 END DO
 
 END SUBROUTINE kuofcl
 SUBROUTINE adjtq(pp, pt, pq, ldflag, kcall)
   USE dimphy
+  USE lmdz_YOETHF
+  USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
+
   IMPLICIT NONE
   ! ======================================================================
@@ -1679,11 +1678,9 @@
 
   REAL t_coup
-  PARAMETER (t_coup=234.0)
+  PARAMETER (t_coup = 234.0)
 
   REAL zcond(klon), zcond1
   REAL zdelta, zcvm5, zldcp, zqsat, zcor, zdqsat
   INTEGER is, i
-  include "YOETHF.h"
-  include "FCTTRE.h"
 
   DO i = 1, klon
@@ -1693,28 +1690,28 @@
   DO i = 1, klon
     IF (ldflag(i)) THEN
-      zdelta = max(0., sign(1.,rtt-pt(i)))
-      zldcp = rlvtt*(1.-zdelta) + zdelta*rlstt
-      zldcp = zldcp/rcpd/(1.0+rvtmp2*pq(i))
+      zdelta = max(0., sign(1., rtt - pt(i)))
+      zldcp = rlvtt * (1. - zdelta) + zdelta * rlstt
+      zldcp = zldcp / rcpd / (1.0 + rvtmp2 * pq(i))
       IF (thermcep) THEN
-        zcvm5 = r5les*rlvtt*(1.-zdelta) + zdelta*r5ies*rlstt
-        zcvm5 = zcvm5/rcpd/(1.0+rvtmp2*pq(i))
-        zqsat = r2es*foeew(pt(i), zdelta)/pp(i)
+        zcvm5 = r5les * rlvtt * (1. - zdelta) + zdelta * r5ies * rlstt
+        zcvm5 = zcvm5 / rcpd / (1.0 + rvtmp2 * pq(i))
+        zqsat = r2es * foeew(pt(i), zdelta) / pp(i)
         zqsat = min(0.5, zqsat)
-        zcor = 1./(1.-retv*zqsat)
-        zqsat = zqsat*zcor
+        zcor = 1. / (1. - retv * zqsat)
+        zqsat = zqsat * zcor
         zdqsat = foede(pt(i), zdelta, zcvm5, zqsat, zcor)
       ELSE
         IF (pt(i)<t_coup) THEN
-          zqsat = qsats(pt(i))/pp(i)
+          zqsat = qsats(pt(i)) / pp(i)
           zdqsat = dqsats(pt(i), zqsat)
         ELSE
-          zqsat = qsatl(pt(i))/pp(i)
+          zqsat = qsatl(pt(i)) / pp(i)
           zdqsat = dqsatl(pt(i), zqsat)
         END IF
       END IF
-      zcond(i) = (pq(i)-zqsat)/(1.+zdqsat)
+      zcond(i) = (pq(i) - zqsat) / (1. + zdqsat)
       IF (kcall==1) zcond(i) = max(zcond(i), 0.)
       IF (kcall==2) zcond(i) = min(zcond(i), 0.)
-      pt(i) = pt(i) + zldcp*zcond(i)
+      pt(i) = pt(i) + zldcp * zcond(i)
       pq(i) = pq(i) - zcond(i)
     END IF
@@ -1729,36 +1726,39 @@
   DO i = 1, klon
     IF (ldflag(i) .AND. zcond(i)/=0.) THEN
-      zdelta = max(0., sign(1.,rtt-pt(i)))
-      zldcp = rlvtt*(1.-zdelta) + zdelta*rlstt
-      zldcp = zldcp/rcpd/(1.0+rvtmp2*pq(i))
+      zdelta = max(0., sign(1., rtt - pt(i)))
+      zldcp = rlvtt * (1. - zdelta) + zdelta * rlstt
+      zldcp = zldcp / rcpd / (1.0 + rvtmp2 * pq(i))
       IF (thermcep) THEN
-        zcvm5 = r5les*rlvtt*(1.-zdelta) + zdelta*r5ies*rlstt
-        zcvm5 = zcvm5/rcpd/(1.0+rvtmp2*pq(i))
-        zqsat = r2es*foeew(pt(i), zdelta)/pp(i)
+        zcvm5 = r5les * rlvtt * (1. - zdelta) + zdelta * r5ies * rlstt
+        zcvm5 = zcvm5 / rcpd / (1.0 + rvtmp2 * pq(i))
+        zqsat = r2es * foeew(pt(i), zdelta) / pp(i)
         zqsat = min(0.5, zqsat)
-        zcor = 1./(1.-retv*zqsat)
-        zqsat = zqsat*zcor
+        zcor = 1. / (1. - retv * zqsat)
+        zqsat = zqsat * zcor
         zdqsat = foede(pt(i), zdelta, zcvm5, zqsat, zcor)
       ELSE
         IF (pt(i)<t_coup) THEN
-          zqsat = qsats(pt(i))/pp(i)
+          zqsat = qsats(pt(i)) / pp(i)
           zdqsat = dqsats(pt(i), zqsat)
         ELSE
-          zqsat = qsatl(pt(i))/pp(i)
+          zqsat = qsatl(pt(i)) / pp(i)
           zdqsat = dqsatl(pt(i), zqsat)
         END IF
       END IF
-      zcond1 = (pq(i)-zqsat)/(1.+zdqsat)
-      pt(i) = pt(i) + zldcp*zcond1
+      zcond1 = (pq(i) - zqsat) / (1. + zdqsat)
+      pt(i) = pt(i) + zldcp * zcond1
       pq(i) = pq(i) - zcond1
     END IF
   END DO
 
-230 CONTINUE
+  230 CONTINUE
 
 END SUBROUTINE adjtq
 SUBROUTINE fiajh(dtime, paprs, pplay, t, q, d_t, d_q, d_ql, rneb, rain, snow, &
-    ibas, itop)
+        ibas, itop)
   USE dimphy
+  USE lmdz_YOETHF
+  USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
+
   IMPLICIT NONE
 
@@ -1772,5 +1772,5 @@
   REAL t(klon, klev) ! temperature (K)
   REAL q(klon, klev) ! humidite specifique (kg/kg)
-  REAL paprs(klon, klev+1) ! pression a inter-couche (Pa)
+  REAL paprs(klon, klev + 1) ! pression a inter-couche (Pa)
   REAL pplay(klon, klev) ! pression au milieu de couche (Pa)
 
@@ -1786,7 +1786,7 @@
 
   REAL t_coup
-  PARAMETER (t_coup=234.0)
+  PARAMETER (t_coup = 234.0)
   REAL seuil_vap
-  PARAMETER (seuil_vap=1.0E-10)
+  PARAMETER (seuil_vap = 1.0E-10)
 
   ! Variables locales:
@@ -1813,7 +1813,4 @@
   REAL zdelta, zcor, zcvm5
 
-  include "YOETHF.h"
-  include "FCTTRE.h"
-
   DO k = 1, klev
     DO i = 1, klon
@@ -1837,24 +1834,24 @@
   DO k = 1, klev
     DO i = 1, klon
-      v_cptt(i, k) = rcpd*local_t(i, k)
+      v_cptt(i, k) = rcpd * local_t(i, k)
       v_t = local_t(i, k)
       v_p = pplay(i, k)
 
       IF (thermcep) THEN
-        zdelta = max(0., sign(1.,rtt-v_t))
-        zcvm5 = r5les*rlvtt*(1.-zdelta) + zdelta*r5ies*rlstt
-        zcvm5 = zcvm5/rcpd/(1.0+rvtmp2*local_q(i,k))
-        v_qs(i, k) = r2es*foeew(v_t, zdelta)/v_p
-        v_qs(i, k) = min(0.5, v_qs(i,k))
-        zcor = 1./(1.-retv*v_qs(i,k))
-        v_qs(i, k) = v_qs(i, k)*zcor
-        v_qsd(i, k) = foede(v_t, zdelta, zcvm5, v_qs(i,k), zcor)
+        zdelta = max(0., sign(1., rtt - v_t))
+        zcvm5 = r5les * rlvtt * (1. - zdelta) + zdelta * r5ies * rlstt
+        zcvm5 = zcvm5 / rcpd / (1.0 + rvtmp2 * local_q(i, k))
+        v_qs(i, k) = r2es * foeew(v_t, zdelta) / v_p
+        v_qs(i, k) = min(0.5, v_qs(i, k))
+        zcor = 1. / (1. - retv * v_qs(i, k))
+        v_qs(i, k) = v_qs(i, k) * zcor
+        v_qsd(i, k) = foede(v_t, zdelta, zcvm5, v_qs(i, k), zcor)
       ELSE
         IF (v_t<t_coup) THEN
-          v_qs(i, k) = qsats(v_t)/v_p
-          v_qsd(i, k) = dqsats(v_t, v_qs(i,k))
+          v_qs(i, k) = qsats(v_t) / v_p
+          v_qsd(i, k) = dqsats(v_t, v_qs(i, k))
         ELSE
-          v_qs(i, k) = qsatl(v_t)/v_p
-          v_qsd(i, k) = dqsatl(v_t, v_qs(i,k))
+          v_qs(i, k) = qsatl(v_t) / v_p
+          v_qsd(i, k) = dqsatl(v_t, v_qs(i, k))
         END IF
       END IF
@@ -1866,10 +1863,10 @@
   DO k = 2, klev
     DO i = 1, klon
-      zdp = paprs(i, k) - paprs(i, k+1)
-      zdpm = paprs(i, k-1) - paprs(i, k)
-      gamcpdz(i, k) = ((rd/rcpd/(zdpm+zdp)*(v_cptt(i,k-1)*zdpm+ &
-        v_cptt(i,k)*zdp)+rlvtt/(zdpm+zdp)*(v_qs(i,k-1)*zdpm+ &
-        v_qs(i,k)*zdp))*(pplay(i,k-1)-pplay(i,k))/paprs(i,k))/(1.0+(v_qsd(i, &
-        k-1)*zdpm+v_qsd(i,k)*zdp)/(zdpm+zdp))
+      zdp = paprs(i, k) - paprs(i, k + 1)
+      zdpm = paprs(i, k - 1) - paprs(i, k)
+      gamcpdz(i, k) = ((rd / rcpd / (zdpm + zdp) * (v_cptt(i, k - 1) * zdpm + &
+              v_cptt(i, k) * zdp) + rlvtt / (zdpm + zdp) * (v_qs(i, k - 1) * zdpm + &
+              v_qs(i, k) * zdp)) * (pplay(i, k - 1) - pplay(i, k)) / paprs(i, k)) / (1.0 + (v_qsd(i, &
+              k - 1) * zdpm + v_qsd(i, k) * zdp) / (zdpm + zdp))
     END DO
   END DO
@@ -1882,47 +1879,47 @@
     k2 = 1
 
-810 CONTINUE ! chercher k1, le bas de la colonne
+    810 CONTINUE ! chercher k1, le bas de la colonne
     k2 = k2 + 1
     IF (k2>klev) GO TO 9999
-    zflo = v_cptt(i, k2-1) - v_cptt(i, k2) - gamcpdz(i, k2)
-    zsat = (local_q(i,k2-1)-v_qs(i,k2-1))*(paprs(i,k2-1)-paprs(i,k2)) + &
-      (local_q(i,k2)-v_qs(i,k2))*(paprs(i,k2)-paprs(i,k2+1))
+    zflo = v_cptt(i, k2 - 1) - v_cptt(i, k2) - gamcpdz(i, k2)
+    zsat = (local_q(i, k2 - 1) - v_qs(i, k2 - 1)) * (paprs(i, k2 - 1) - paprs(i, k2)) + &
+            (local_q(i, k2) - v_qs(i, k2)) * (paprs(i, k2) - paprs(i, k2 + 1))
     IF (zflo<=0.0 .OR. zsat<=0.0) GO TO 810
     k1 = k2 - 1
     itest(i) = .TRUE.
 
-820 CONTINUE ! chercher k2, le haut de la colonne
+    820 CONTINUE ! chercher k2, le haut de la colonne
     IF (k2==klev) GO TO 821
     k2p = k2 + 1
-    zsat = zsat + (paprs(i,k2p)-paprs(i,k2p+1))*(local_q(i,k2p)-v_qs(i,k2p))
-    zflo = v_cptt(i, k2p-1) - v_cptt(i, k2p) - gamcpdz(i, k2p)
+    zsat = zsat + (paprs(i, k2p) - paprs(i, k2p + 1)) * (local_q(i, k2p) - v_qs(i, k2p))
+    zflo = v_cptt(i, k2p - 1) - v_cptt(i, k2p) - gamcpdz(i, k2p)
     IF (zflo<=0.0 .OR. zsat<=0.0) GO TO 821
     k2 = k2p
     GO TO 820
-821 CONTINUE
+    821 CONTINUE
 
     ! ------------------------------------------------------ ajustement local
-830 CONTINUE ! ajustement proprement dit
+    830 CONTINUE ! ajustement proprement dit
     v_cptj(k1) = 0.0
-    zdp = paprs(i, k1) - paprs(i, k1+1)
-    v_cptjk1 = ((1.0+v_qsd(i,k1))*(v_cptt(i,k1)+v_cptj(k1))+rlvtt*(local_q(i, &
-      k1)-v_qs(i,k1)))*zdp
-    v_ssig = zdp*(1.0+v_qsd(i,k1))
+    zdp = paprs(i, k1) - paprs(i, k1 + 1)
+    v_cptjk1 = ((1.0 + v_qsd(i, k1)) * (v_cptt(i, k1) + v_cptj(k1)) + rlvtt * (local_q(i, &
+            k1) - v_qs(i, k1))) * zdp
+    v_ssig = zdp * (1.0 + v_qsd(i, k1))
 
     k1p = k1 + 1
     DO k = k1p, k2
-      zdp = paprs(i, k) - paprs(i, k+1)
-      v_cptj(k) = v_cptj(k-1) + gamcpdz(i, k)
-      v_cptjk1 = v_cptjk1 + zdp*((1.0+v_qsd(i,k))*(v_cptt(i, &
-        k)+v_cptj(k))+rlvtt*(local_q(i,k)-v_qs(i,k)))
-      v_ssig = v_ssig + zdp*(1.0+v_qsd(i,k))
+      zdp = paprs(i, k) - paprs(i, k + 1)
+      v_cptj(k) = v_cptj(k - 1) + gamcpdz(i, k)
+      v_cptjk1 = v_cptjk1 + zdp * ((1.0 + v_qsd(i, k)) * (v_cptt(i, &
+              k) + v_cptj(k)) + rlvtt * (local_q(i, k) - v_qs(i, k)))
+      v_ssig = v_ssig + zdp * (1.0 + v_qsd(i, k))
     END DO
 
     DO k = k1, k2
-      cp_new_t(k) = v_cptjk1/v_ssig - v_cptj(k)
+      cp_new_t(k) = v_cptjk1 / v_ssig - v_cptj(k)
       cp_delta_t(k) = cp_new_t(k) - v_cptt(i, k)
-      new_qb(k) = v_qs(i, k) + v_qsd(i, k)*cp_delta_t(k)/rlvtt
+      new_qb(k) = v_qs(i, k) + v_qsd(i, k) * cp_delta_t(k) / rlvtt
       local_q(i, k) = new_qb(k)
-      local_t(i, k) = cp_new_t(k)/rcpd
+      local_t(i, k) = cp_new_t(k) / rcpd
     END DO
 
@@ -1932,34 +1929,34 @@
 
     DO k = k1, k2
-      v_cptt(i, k) = rcpd*local_t(i, k)
+      v_cptt(i, k) = rcpd * local_t(i, k)
       v_t = local_t(i, k)
       v_p = pplay(i, k)
 
       IF (thermcep) THEN
-        zdelta = max(0., sign(1.,rtt-v_t))
-        zcvm5 = r5les*rlvtt*(1.-zdelta) + zdelta*r5ies*rlstt
-        zcvm5 = zcvm5/rcpd/(1.0+rvtmp2*local_q(i,k))
-        v_qs(i, k) = r2es*foeew(v_t, zdelta)/v_p
-        v_qs(i, k) = min(0.5, v_qs(i,k))
-        zcor = 1./(1.-retv*v_qs(i,k))
-        v_qs(i, k) = v_qs(i, k)*zcor
-        v_qsd(i, k) = foede(v_t, zdelta, zcvm5, v_qs(i,k), zcor)
+        zdelta = max(0., sign(1., rtt - v_t))
+        zcvm5 = r5les * rlvtt * (1. - zdelta) + zdelta * r5ies * rlstt
+        zcvm5 = zcvm5 / rcpd / (1.0 + rvtmp2 * local_q(i, k))
+        v_qs(i, k) = r2es * foeew(v_t, zdelta) / v_p
+        v_qs(i, k) = min(0.5, v_qs(i, k))
+        zcor = 1. / (1. - retv * v_qs(i, k))
+        v_qs(i, k) = v_qs(i, k) * zcor
+        v_qsd(i, k) = foede(v_t, zdelta, zcvm5, v_qs(i, k), zcor)
       ELSE
         IF (v_t<t_coup) THEN
-          v_qs(i, k) = qsats(v_t)/v_p
-          v_qsd(i, k) = dqsats(v_t, v_qs(i,k))
+          v_qs(i, k) = qsats(v_t) / v_p
+          v_qsd(i, k) = dqsats(v_t, v_qs(i, k))
         ELSE
-          v_qs(i, k) = qsatl(v_t)/v_p
-          v_qsd(i, k) = dqsatl(v_t, v_qs(i,k))
+          v_qs(i, k) = qsatl(v_t) / v_p
+          v_qsd(i, k) = dqsatl(v_t, v_qs(i, k))
         END IF
       END IF
     END DO
     DO k = 2, klev
-      zdpm = paprs(i, k-1) - paprs(i, k)
-      zdp = paprs(i, k) - paprs(i, k+1)
-      gamcpdz(i, k) = ((rd/rcpd/(zdpm+zdp)*(v_cptt(i,k-1)*zdpm+ &
-        v_cptt(i,k)*zdp)+rlvtt/(zdpm+zdp)*(v_qs(i,k-1)*zdpm+ &
-        v_qs(i,k)*zdp))*(pplay(i,k-1)-pplay(i,k))/paprs(i,k))/(1.0+(v_qsd(i, &
-        k-1)*zdpm+v_qsd(i,k)*zdp)/(zdpm+zdp))
+      zdpm = paprs(i, k - 1) - paprs(i, k)
+      zdp = paprs(i, k) - paprs(i, k + 1)
+      gamcpdz(i, k) = ((rd / rcpd / (zdpm + zdp) * (v_cptt(i, k - 1) * zdpm + &
+              v_cptt(i, k) * zdp) + rlvtt / (zdpm + zdp) * (v_qs(i, k - 1) * zdpm + &
+              v_qs(i, k) * zdp)) * (pplay(i, k - 1) - pplay(i, k)) / paprs(i, k)) / (1.0 + (v_qsd(i, &
+              k - 1) * zdpm + v_qsd(i, k) * zdp) / (zdpm + zdp))
     END DO
 
@@ -1967,14 +1964,14 @@
 
     IF (k1==1) GO TO 841 ! extension echouee
-    zflo = v_cptt(i, k1-1) - v_cptt(i, k1) - gamcpdz(i, k1)
-    zsat = (local_q(i,k1-1)-v_qs(i,k1-1))*(paprs(i,k1-1)-paprs(i,k1)) + &
-      (local_q(i,k1)-v_qs(i,k1))*(paprs(i,k1)-paprs(i,k1+1))
+    zflo = v_cptt(i, k1 - 1) - v_cptt(i, k1) - gamcpdz(i, k1)
+    zsat = (local_q(i, k1 - 1) - v_qs(i, k1 - 1)) * (paprs(i, k1 - 1) - paprs(i, k1)) + &
+            (local_q(i, k1) - v_qs(i, k1)) * (paprs(i, k1) - paprs(i, k1 + 1))
     IF (zflo<=0.0 .OR. zsat<=0.0) GO TO 841 ! extension echouee
 
-840 CONTINUE
+    840 CONTINUE
     k1 = k1 - 1
     IF (k1==1) GO TO 830 ! GOTO 820 (a tester, Z.X.Li, mars 1995)
-    zsat = zsat + (local_q(i,k1-1)-v_qs(i,k1-1))*(paprs(i,k1-1)-paprs(i,k1))
-    zflo = v_cptt(i, k1-1) - v_cptt(i, k1) - gamcpdz(i, k1)
+    zsat = zsat + (local_q(i, k1 - 1) - v_qs(i, k1 - 1)) * (paprs(i, k1 - 1) - paprs(i, k1))
+    zflo = v_cptt(i, k1 - 1) - v_cptt(i, k1) - gamcpdz(i, k1)
     IF (zflo>0.0 .AND. zsat>0.0) THEN
       GO TO 840
@@ -1982,9 +1979,9 @@
       GO TO 830 ! GOTO 820 (a tester, Z.X.Li, mars 1995)
     END IF
-841 CONTINUE
+    841 CONTINUE
 
     GO TO 810 ! chercher d'autres blocks en haut
 
-9999 END DO ! boucle sur tous les points
+  9999 END DO ! boucle sur tous les points
   ! -----------------------------------------------------------------------
 
@@ -1996,5 +1993,5 @@
       IF (itest(i)) THEN
         delta_q(i, k) = local_q(i, k) - q(i, k)
-        IF (delta_q(i,k)<0.) rneb(i, k) = 1.0
+        IF (delta_q(i, k)<0.) rneb(i, k) = 1.0
       END IF
     END DO
@@ -2014,7 +2011,7 @@
     DO i = 1, klon
       IF (itest(i)) THEN
-        zdp = paprs(i, k) - paprs(i, k+1)
-        zq1(i) = zq1(i) - delta_q(i, k)*zdp
-        zq2(i) = zq2(i) - min(0.0, delta_q(i,k))*zdp
+        zdp = paprs(i, k) - paprs(i, k + 1)
+        zq1(i) = zq1(i) - delta_q(i, k) * zdp
+        zq2(i) = zq2(i) - min(0.0, delta_q(i, k)) * zdp
       END IF
     END DO
@@ -2023,5 +2020,5 @@
     DO i = 1, klon
       IF (itest(i)) THEN
-        IF (zq2(i)/=0.0) d_ql(i, k) = -min(0.0, delta_q(i,k))*zq1(i)/zq2(i)
+        IF (zq2(i)/=0.0) d_ql(i, k) = -min(0.0, delta_q(i, k)) * zq1(i) / zq2(i)
       END IF
     END DO
@@ -2030,5 +2027,5 @@
   DO k = 1, klev
     DO i = 1, klon
-      local_q(i, k) = max(local_q(i,k), seuil_vap)
+      local_q(i, k) = max(local_q(i, k), seuil_vap)
     END DO
   END DO
@@ -2041,9 +2038,11 @@
   END DO
 
-
 END SUBROUTINE fiajh
 SUBROUTINE fiajc(dtime, paprs, pplay, t, q, conv_q, d_t, d_q, d_ql, rneb, &
-    rain, snow, ibas, itop)
+        rain, snow, ibas, itop)
   USE dimphy
+  USE lmdz_YOETHF
+  USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
+
   IMPLICIT NONE
 
@@ -2053,13 +2052,13 @@
 
   INTEGER plb ! niveau de depart pour la convection
-  PARAMETER (plb=4)
+  PARAMETER (plb = 4)
 
   ! Mystere: cette option n'est pas innocente pour les resultats !
   ! Qui peut resoudre ce mystere ? (Z.X.Li mars 1995)
   LOGICAL vector ! calcul vectorise
-  PARAMETER (vector=.FALSE.)
+  PARAMETER (vector = .FALSE.)
 
   REAL t_coup
-  PARAMETER (t_coup=234.0)
+  PARAMETER (t_coup = 234.0)
 
   ! Arguments:
@@ -2067,5 +2066,5 @@
   REAL q(klon, klev) ! humidite specifique (kg/kg)
   REAL t(klon, klev) ! temperature (K)
-  REAL paprs(klon, klev+1) ! pression a inter-couche (Pa)
+  REAL paprs(klon, klev + 1) ! pression a inter-couche (Pa)
   REAL pplay(klon, klev) ! pression au milieu de couche (Pa)
   REAL dtime ! intervalle du temps (s)
@@ -2088,7 +2087,4 @@
   REAL zdelta, zcor, zcvm5
 
-  include "YOETHF.h"
-  include "FCTTRE.h"
-
   ! Initialiser les sorties:
 
@@ -2114,19 +2110,19 @@
       ztt = t(i, k)
       IF (thermcep) THEN
-        zdelta = max(0., sign(1.,rtt-ztt))
-        zcvm5 = r5les*rlvtt*(1.-zdelta) + zdelta*r5ies*rlstt
-        zcvm5 = zcvm5/rcpd/(1.0+rvtmp2*q(i,k))
-        zqs(i, k) = r2es*foeew(ztt, zdelta)/pplay(i, k)
-        zqs(i, k) = min(0.5, zqs(i,k))
-        zcor = 1./(1.-retv*zqs(i,k))
-        zqs(i, k) = zqs(i, k)*zcor
-        zdqs(i, k) = foede(ztt, zdelta, zcvm5, zqs(i,k), zcor)
+        zdelta = max(0., sign(1., rtt - ztt))
+        zcvm5 = r5les * rlvtt * (1. - zdelta) + zdelta * r5ies * rlstt
+        zcvm5 = zcvm5 / rcpd / (1.0 + rvtmp2 * q(i, k))
+        zqs(i, k) = r2es * foeew(ztt, zdelta) / pplay(i, k)
+        zqs(i, k) = min(0.5, zqs(i, k))
+        zcor = 1. / (1. - retv * zqs(i, k))
+        zqs(i, k) = zqs(i, k) * zcor
+        zdqs(i, k) = foede(ztt, zdelta, zcvm5, zqs(i, k), zcor)
       ELSE
         IF (ztt<t_coup) THEN
-          zqs(i, k) = qsats(ztt)/pplay(i, k)
-          zdqs(i, k) = dqsats(ztt, zqs(i,k))
+          zqs(i, k) = qsats(ztt) / pplay(i, k)
+          zdqs(i, k) = dqsats(ztt, zqs(i, k))
         ELSE
-          zqs(i, k) = qsatl(ztt)/pplay(i, k)
-          zdqs(i, k) = dqsatl(ztt, zqs(i,k))
+          zqs(i, k) = qsatl(ztt) / pplay(i, k)
+          zdqs(i, k) = dqsatl(ztt, zqs(i, k))
         END IF
       END IF
@@ -2138,13 +2134,13 @@
   DO i = 1, klon
     k = plb
-    zdeh(i, k) = rcpd*(t(i,k-1)-t(i,k)) - rd*0.5*(t(i,k-1)+t(i,k))/paprs(i, k &
-      )*(pplay(i,k-1)-pplay(i,k)) + rlvtt*(zqs(i,k-1)-zqs(i,k))
-    zdeh(i, k) = zdeh(i, k)*0.5 ! on prend la moitie
+    zdeh(i, k) = rcpd * (t(i, k - 1) - t(i, k)) - rd * 0.5 * (t(i, k - 1) + t(i, k)) / paprs(i, k &
+            ) * (pplay(i, k - 1) - pplay(i, k)) + rlvtt * (zqs(i, k - 1) - zqs(i, k))
+    zdeh(i, k) = zdeh(i, k) * 0.5 ! on prend la moitie
   END DO
   DO k = plb + 1, klev
     DO i = 1, klon
-      zdeh(i, k) = zdeh(i, k-1) + rcpd*(t(i,k-1)-t(i,k)) - &
-        rd*0.5*(t(i,k-1)+t(i,k))/paprs(i, k)*(pplay(i,k-1)-pplay(i,k)) + &
-        rlvtt*(zqs(i,k-1)-zqs(i,k))
+      zdeh(i, k) = zdeh(i, k - 1) + rcpd * (t(i, k - 1) - t(i, k)) - &
+              rd * 0.5 * (t(i, k - 1) + t(i, k)) / paprs(i, k) * (pplay(i, k - 1) - pplay(i, k)) + &
+              rlvtt * (zqs(i, k - 1) - zqs(i, k))
     END DO
   END DO
